MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Nitf::ImageReader Class Referenceabstract

class for representing an NITF image segment as an LTIImageReader More...

`#include <ImageReader.h>`

Inheritance diagram for Nitf::ImageReader:
[legend]
Collaboration diagram for Nitf::ImageReader:
[legend]

## Public Member Functions
const char * | getIID1 () const
| returns the IID1 field for the segment More...
lt_int64 | getPhysicalFileSize () const
NITFReaderManager & | getManager () const
Format | getFormat () const
| returns the compression format of the segment More...
Layout | getLayout () const
| returns the pixel layout of the segment More...
bool | isBlocked () const
| returns true iff the image segment is in blocked form More...
bool | isMasked () const
| returns true iff block masking is used in the image segment More...
int | getSegmentNumber () const
| returns the index of this image segment More...
const ImageSegmentMetadata * | getImageMetadata () const
| returns the image segment metadata object for this segment More...
const SecurityMetadata * | getSecurityMetadata () const
| returns the security metadata object for this segment More...
LT_STATUS | getDimsAtMag (double mag, lt_uint32 &width, lt_uint32 &height) const =0
| get image width and height at given magnification More...

## Protected Member Functions
| ~ImageReader (void)
| ImageReader (bool supportBandSelection)
const char * | getSourceName (void) const
LT_STATUS | init (LTIOStreamInf *stream, NITFReaderManager *manager, const ImageSegment *imageSegment, bool useWorldFile)
LT_STATUS | addUnderlyingMetadata (const LTIImageStage &image)
LTIScene | computeBlockedScene (const LTIScene &scene) const
LT_STATUS | copyIntoUserBuffer (const LTIScene &dstScene, LTISceneBuffer &dstBuffer) const
bool | activeSceneContains (const LTIScene &scene) const
void | putBlockIntoBuffer_SEQ (LTISceneBuffer &cBuffer, lt_uint8 *buf, lt_uint32 blockRow, lt_uint32 blockCol, lt_uint32 blockBand) const
void | putBlockIntoBuffer_BLOCK (LTISceneBuffer &cBuffer, lt_uint8 *buf, lt_uint32 blockRow, lt_uint32 blockCol) const
void | putBlockIntoBuffer_PIXEL (LTISceneBuffer &cBuffer, lt_uint8 *buf, lt_uint32 blockRow, lt_uint32 blockCol) const
void | putBlockIntoBuffer_ROW (LTISceneBuffer &cBuffer, lt_uint8 *buf, lt_uint32 blockRow, lt_uint32 blockCol) const
Protected Member Functions inherited from LTIGeoImageReader
| LTIGeoImageReader (bool supportBandSelection)
LT_STATUS | init (bool useWorldFile)
bool | getUseWorldFile () const
LT_STATUS | readWorldFile (const LTFileSpec &file, bool &changed, bool doUseWorldFileTest=true)
LT_STATUS | readWorldFile (LTIOStreamInf &stream, bool &changed, bool doUseWorldFileTest=true)
Protected Member Functions inherited from LTIImageReader
| LTIImageReader (bool supportBandSelection)
LT_STATUS | init (const LTIImage *image=NULL)
LT_STATUS | loadMetadataIntoObjects (const LTIMetadataDatabase &fileMetadata, LTIPixel &pixelProps, bool updatePixelProps, bool updateGeoCoord)

## Protected Attributes
LTIOStreamInf * | m_stream
NITFReaderManager * | m_manager
const ImageSegment * | m_imageSegment
const FileHeader * | m_fileHeader
LTReusableBuffer * | m_reusableBuffer
LTIScene * | m_activeScene
LTISceneBuffer * | m_activeSceneBuffer

## Detailed Description

This class provides support for representing an NITF image segment as an LTIImageReader, from which you can extract pixel data. ImageReader objects are not to be created directly; the NITFReaderManager class contains a createReader() function for this purpose.

Definition at line 46 of file ImageReader.h.

## Constructor & Destructor Documentation

Nitf::ImageReader::~ImageReader | ( | void | ) |  |
| protected

Nitf::ImageReader::ImageReader | ( | bool | supportBandSelection) |  |
| protected

## Member Function Documentation

bool Nitf::ImageReader::activeSceneContains | ( | const LTIScene & | scene) |  | const
| protected

LT_STATUS Nitf::ImageReader::addUnderlyingMetadata | ( | const LTIImageStage & | image) |  |
| protected

LTIScene Nitf::ImageReader::computeBlockedScene | ( | const LTIScene & | scene) |  | const
| protected

LT_STATUS Nitf::ImageReader::copyIntoUserBuffer | ( | const LTIScene & | dstScene,
|  | LTISceneBuffer & | dstBuffer
| ) |  | const
| protected

LT_STATUS Nitf::ImageReader::getDimsAtMag | ( | double | mag,
|  | lt_uint32 & | width,
|  | lt_uint32 & | height
| ) |  | const
| pure virtual

This function returns the width and height of the image, in pixels, relative to the given magnification.

Parameters

  mag | magnification to determine width at
  width | the image width at the magnification
  height | the image height at the magnification

Returns
  status code indicating success or failure

Reimplemented from LTIImageReader.

Format Nitf::ImageReader::getFormat | ( | ) |  | const

const char* Nitf::ImageReader::getIID1 | ( | ) |  | const

const ImageSegmentMetadata* Nitf::ImageReader::getImageMetadata | ( | ) |  | const

Layout Nitf::ImageReader::getLayout | ( | ) |  | const

NITFReaderManager& Nitf::ImageReader::getManager | ( | ) |  | const

lt_int64 Nitf::ImageReader::getPhysicalFileSize | ( | ) |  | const

const SecurityMetadata* Nitf::ImageReader::getSecurityMetadata | ( | ) |  | const

int Nitf::ImageReader::getSegmentNumber | ( | ) |  | const

const char* Nitf::ImageReader::getSourceName | ( | void | ) |  | const
| protected virtual

Implements LTIImageReader.

LT_STATUS Nitf::ImageReader::init | ( | LTIOStreamInf * | stream,
|  | NITFReaderManager * | manager,
|  | const ImageSegment * | imageSegment,
|  | bool | useWorldFile
| ) |  |
| protected

bool Nitf::ImageReader::isBlocked | ( | ) |  | const

bool Nitf::ImageReader::isMasked | ( | ) |  | const

void Nitf::ImageReader::putBlockIntoBuffer_BLOCK | ( | LTISceneBuffer & | cBuffer,
|  | lt_uint8 * | buf,
|  | lt_uint32 | blockRow,
|  | lt_uint32 | blockCol
| ) |  | const
| protected

void Nitf::ImageReader::putBlockIntoBuffer_PIXEL | ( | LTISceneBuffer & | cBuffer,
|  | lt_uint8 * | buf,
|  | lt_uint32 | blockRow,
|  | lt_uint32 | blockCol
| ) |  | const
| protected

void Nitf::ImageReader::putBlockIntoBuffer_ROW | ( | LTISceneBuffer & | cBuffer,
|  | lt_uint8 * | buf,
|  | lt_uint32 | blockRow,
|  | lt_uint32 | blockCol
| ) |  | const
| protected

void Nitf::ImageReader::putBlockIntoBuffer_SEQ | ( | LTISceneBuffer & | cBuffer,
|  | lt_uint8 * | buf,
|  | lt_uint32 | blockRow,
|  | lt_uint32 | blockCol,
|  | lt_uint32 | blockBand
| ) |  | const
| protected

## Member Data Documentation

LTIScene* Nitf::ImageReader::m_activeScene
| protected

Definition at line 145 of file ImageReader.h.

LTISceneBuffer* Nitf::ImageReader::m_activeSceneBuffer
| protected

Definition at line 146 of file ImageReader.h.

const FileHeader* Nitf::ImageReader::m_fileHeader
| protected

Definition at line 142 of file ImageReader.h.

const ImageSegment* Nitf::ImageReader::m_imageSegment
| protected

Definition at line 141 of file ImageReader.h.

NITFReaderManager* Nitf::ImageReader::m_manager
| protected

Definition at line 139 of file ImageReader.h.

LTReusableBuffer* Nitf::ImageReader::m_reusableBuffer
| protected

Definition at line 144 of file ImageReader.h.

LTIOStreamInf* Nitf::ImageReader::m_stream
| protected

Definition at line 138 of file ImageReader.h.

The documentation for this class was generated from the following file:

- ImageReader.h

LizardTech